For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • POSTSend User OTP
      • POSTVerify User OTP
      • GETGet User Limits
      • GETGet User Details
      • GETRefresh User Access Token
      • POSTLogout User
      • POSTOnboard User (Auth Reliance)
Dashboard
LogoLogo
TRANSAK WHITELABEL APIUser

Get User Limits

||View as Markdown|
GET
https://api-gateway-stg.transak.com/api/v2/orders/user-limit
GET
/api/v2/orders/user-limit
$curl -G https://api-gateway-stg.transak.com/api/v2/orders/user-limit \
> -d isBuyOrSell=BUY \
> -d paymentCategory= \
> -d kycType= \
> -d fiatCurrency=
1{
2 "data": {
3 "limits": {
4 "1": 519.6,
5 "30": 1298.99,
6 "365": 2597.98
7 },
8 "spent": {
9 "1": 0,
10 "30": 0,
11 "365": 0
12 },
13 "remaining": {
14 "1": 519.6,
15 "30": 1298.99,
16 "365": 2597.98
17 },
18 "exceeded": {
19 "1": false,
20 "30": false,
21 "365": false
22 },
23 "shortage": {}
24 }
25}
The **Get User Limits** is an **authenticated API** call that allows you to **fetch the maximum transaction limits** a user can place over different time periods (1-day, 30-day, 365-day). These limits are determined by **KYC type**, **payment method**, and **fiat currency**, and provides a detailed overview based on **total**, **spent**, **remaining** and **exceeded limits**.
Was this page helpful?
Previous

Verify User OTP

Next

Get User Details

Built with

The Get User Limits is an authenticated API call that allows you to fetch the maximum transaction limits a user can place over different time periods (1-day, 30-day, 365-day). These limits are determined by KYC type, payment method, and fiat currency, and provides a detailed overview based on total, spent, remaining and exceeded limits.

Headers

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Query parameters

isBuyOrSellstringRequiredDefaults to BUY
Transaction direction for the limit check. Supported value is BUY.
paymentCategorystringRequired

Supported payment method from /fiat/public/v1/currencies/fiat-currencies

kycTypestringRequired
Value should be SIMPLE or STANDARD
fiatCurrencystringRequired

Supported fiat currency symbol from /fiat/public/v1/currencies/fiat-currencies

Response

200 - Success

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error